> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read managed-cluster status

> Bearer PAT authentication; RBAC permission `clusters.read`. For Kapsule, provider_cluster_id is the opaque region-qualified `regions/{region}/clusters/{id}` reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/managed/{provider}/{cluster_id}/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/managed/{provider}/{cluster_id}/status:
    get:
      tags:
        - Scaleway / Kapsule
      summary: Read managed-cluster status
      description: >-
        Bearer PAT authentication; RBAC permission `clusters.read`. For Kapsule,
        provider_cluster_id is the opaque region-qualified
        `regions/{region}/clusters/{id}` reference. CNI is immutable.
        Imported/unknown provenance is disconnect-only; provider deletion is
        allowed by default only for created clusters.
      operationId: managed_status_pat
      parameters:
        - in: path
          name: provider
          required: true
          schema:
            $ref: '#/components/schemas/ManagedProvider'
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            type: string
        - description: PAT organisation override.
          in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedStatusResponse'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Invalid request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Unauthenticated
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Permission or CSRF check failed
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Resource not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Provider or internal failure
      security:
        - BearerAuth: []
components:
  schemas:
    ManagedProvider:
      enum:
        - doks
        - uks
        - gke
        - ovh_mks
        - aks
        - eks
        - kapsule
      example: kapsule
      type: string
    ManagedStatusResponse:
      properties:
        cluster_id:
          format: uuid
          type: string
        cni:
          anyOf:
            - type: string
            - type: 'null'
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
        node_pools:
          items:
            $ref: '#/components/schemas/ManagedNodePoolSummary'
          type: array
        ownership:
          $ref: '#/components/schemas/ManagedProvenance'
        provider_cluster_id:
          type: string
        status:
          type: string
        version:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - cluster_id
        - provider_cluster_id
        - status
        - node_pools
        - endpoint
        - version
        - cni
        - ownership
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ManagedNodePoolSummary:
      properties:
        autohealing:
          anyOf:
            - type: boolean
            - type: 'null'
        autoscaling:
          anyOf:
            - $ref: '#/components/schemas/ManagedAutoscaling'
            - type: 'null'
        count:
          default: 1
          minimum: 1
          type: integer
        labels:
          additionalProperties:
            type: string
          type: object
        name:
          type: string
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
        public_ip:
          anyOf:
            - type: boolean
            - type: 'null'
        root_volume_size_gb:
          anyOf:
            - minimum: 1
              type: integer
            - type: 'null'
        root_volume_type:
          anyOf:
            - type: string
            - type: 'null'
        security_group_id:
          anyOf:
            - type: string
            - type: 'null'
        size:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
        taints:
          items:
            $ref: '#/components/schemas/ScalewayNodeTaint'
          type: array
        upgrade_policy:
          anyOf:
            - type: string
            - type: 'null'
        zone:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - name
        - size
        - autohealing
        - autoscaling
        - count
        - labels
        - provider_id
        - public_ip
        - root_volume_size_gb
        - root_volume_type
        - security_group_id
        - status
        - taints
        - upgrade_policy
        - zone
      type: object
    ManagedProvenance:
      enum:
        - created
        - imported
        - unknown
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ManagedAutoscaling:
      properties:
        enabled:
          default: true
          type: boolean
        max_count:
          minimum: 1
          type: integer
        min_count:
          minimum: 1
          type: integer
      required:
        - min_count
        - max_count
      type: object
    ScalewayNodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          type: string
        key:
          type: string
        value:
          default: ''
          type: string
      required:
        - key
        - effect
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: PAT
      scheme: bearer
      type: http

````